- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDParameterListAnimatable Class Reference
[The generic FCollada parameter interface.]

An animatable value parameter. More...

`#include <FCDParameterAnimatable.h>`

Inheritance diagram for FCDParameterListAnimatable:

List of all members.

## Public Member Functions
| FCDParameterListAnimatable (FUParameterizable *parent)
| Constructor.
virtual | ~FCDParameterListAnimatable ()
| Destructor.
virtual FUParameterizable * | GetParent ()
| Retrieves the parent object for this animatable parameter.
FCDAnimated * | GetAnimated (size_t index)
| Retrieves the animation helper for an animatable value in this parameter.
const FCDAnimated * | GetAnimated (size_t index) const
| See above.
bool | IsAnimated (size_t index=~(size_t) 0) const
| Retrieves whether this animatable list parameter has valid animation data.
FUObjectContainer< FCDAnimated > & | GetAnimatedValues ()
| Retrieves the list of animated values for this list parameter.
const FUObjectContainer< FCDAnimated > & | GetAnimatedValues () const
| See above.
## Protected Member Functions
virtual FCDAnimated * | CreateAnimated (size_t index)
| Requests from the up-class that the correct FCDAnimated helper class be created for this parameter.
void | OnInsertion (size_t offset, size_t count)
| Process a list insertion event.
void | OnRemoval (size_t offset, size_t count)
| Process a list removal event.
## Protected Attributes
FUObjectContainer< FCDAnimated > | animateds
| The list of FCDAnimated helpers.

## Detailed Description

An animatable value parameter.

## Constructor & Destructor Documentation

FCDParameterListAnimatable::FCDParameterListAnimatable | ( | FUParameterizable * | parent | ) |

  | Constructor. Parameters:
  | parent | The FCollada object that owns this parameter.

## Member Function Documentation

virtual FCDAnimated* FCDParameterListAnimatable::CreateAnimated | ( | size_t | index | ) | `[protected, virtual]`

  | Requests from the up-class that the correct FCDAnimated helper class be created for this parameter. This should be handled by the FCDParameterAnimatableT template specializations. Parameters:
  | index | The element array index of the animatable value.
Returns: A newly-created FCDAnimated helper object. Reimplemented in FCDParameterListAnimatableT< TYPE, QUALIFIERS >.

FCDAnimated* FCDParameterListAnimatable::GetAnimated | ( | size_t | index | ) |

  | Retrieves the animation helper for an animatable value in this parameter. This animation helper will be created if non-existant. Parameters:
  | The | index of the animatable value.
Returns: The animation helper for the value at the given index.

FUObjectContainer<FCDAnimated>& FCDParameterListAnimatable::GetAnimatedValues | ( |  | ) | `[inline]`

| Retrieves the list of animated values for this list parameter. Returns: The list of animated values.

virtual FUParameterizable* FCDParameterListAnimatable::GetParent | ( |  | ) | `[inline, virtual]`

| Retrieves the parent object for this animatable parameter. Returns: The parent object of the parameter.

bool FCDParameterListAnimatable::IsAnimated | ( | size_t | index = `~(size_t) 0` | ) | const

  | Retrieves whether this animatable list parameter has valid animation data. Parameters:
  | The | index of the animatable value within the list parameter. If this index is -1, then whether the whole list is returned.
Returns: Whether this animatable value is animated.

void FCDParameterListAnimatable::OnInsertion | ( | size_t | offset,
|  | size_t | count
| ) | `[protected]`

  | Process a list insertion event. The affected array element indices in the FCDAnimated helpers will be modified accordingly. Parameters:
  | offset | The index of where the insertion was done.
  | count | The number of values inserted in the list.

void FCDParameterListAnimatable::OnRemoval | ( | size_t | offset,
|  | size_t | count
| ) | `[protected]`

  | Process a list removal event. The affected FCDAnimated helpers will be released and the element indices of the other helpers will be modified accordingly. Parameters:
  | offset | The index of where the removal was done.
  | count | The number of values removed from the list.

## Member Data Documentation

FUObjectContainer<FCDAnimated> FCDParameterListAnimatable::animateds`[protected]`

| The list of FCDAnimated helpers. This value is marked "protected" because OnPotentialSizeChange uses it.. Needs some more thought?

The documentation for this class was generated from the following file:

- FCDocument/FCDParameterAnimatable.h